apt-cdrom(8)

NAZWA
apt-cdrom - narzędzie APT do zarządzania źródłami typu CDROM

SKŁADNIA

apt-cdrom polecenie

OPIS
apt-cdrom jest używany w celu dodania nowego CD-ROM-u do listy dostępnych źródeł programu APT. apt-cdrom określa strukturę dysku, poprawia ewentualne błędy powstałe podczas produkcji CD-ROM-u i weryfikuje pliki indeksów. Dodanie nowych CD do systemu APT nie może być zrobione ręcznie, tak więc używanie apt-cdrom jest konieczne. Co więcej, każdy dysk w wielodyskowym archiwum musi być włożony i zeskanowany oddzielnie aby uwzględnić ewentualne błędy produkcujne.

polecenie jest jednym z:

o   add

Jeżeli nie zostanie podana opcja -h lub --help, musi być użyte jedno z powyższych poleceń.

add add jest używane do dodania nowego dysku do listy źródeł. Odmontuje ono urządzenie CDROM, poprosi o włożenie dysku, a następnie zeskanuje go i skopiuje pliki indeksów. Jeżeli dysk nie ma właściwego katalogu .disk/, użytkownik zostanie poproszony o podanie opisu dysku.

OPCJE

Wszystkie opcje linii poleceń mogą być ustawione w pliku konfiguracyjnym. Poniższe opisy wskazują, którą opcję w pliku konfiguracyjnym należy ustawić. W przypadku opcji logicznych, można unieważnić ustawienia pliku konfiguracyjnego, używając -f-, --no-f, -f=no albo czegoś podobnego.

-h, --help
    Pokazuje krótką informację o sposobie użycia.

-v, --version
    Pokazuje wersję programu.

-d, --cdrom
    Punkt montowania. Podaje lokalizację katalogu, w którym będzie zamontowany cdrom. Musi istnieć odpowiednia konfiguracja dla tego punktu montowania w pliku /etc/fstab. Odpowiadający element konfiguracji: Acquire::cdrom::mount.

-r, --rename
    Przemianowanie dysk. Zmienia etykietę dysku lub unieważnia etykietę wcześniej nadaną dyskowi. Podanie tej opcji spowoduje, że apt-cdrom spyta o nową etykietę. Odpowiadający element konfiguracji: APT::CDROM::Rename.

-m, --no-mount
    Nie montować. Opcja ta uniemożliwia programowi apt-cdrom montowanie i odmontowywanie CDROM-u. Odpowiadający element konfiguracji: APT::CDROM::NoMount.

-f, --fast
    Szybkie kopiowanie. Zakłada, że pliki z pakietami są poprawne i nie sprawdza każdego z nich. Ta opcja powinna być używana tylko wtedy, jeżeli apt-cdrom był już wcześniej uruchomiony dla danego dysku i nie wykrył na nim żadnych błędów. Odpowiadający element konfiguracji: APT::CDROM::Fast.

-a, --thorough
    Gruntowne przeglądanie pakietów. Ta opcja może być niezbędna podczas indeksowania starych dysków z Debianem 1.1/1.2, w których pliki Package były umieszczone w dziwnych miejscach. Indeksowanie całego CD zabiera znacznie więcej czasu, ale pozwoli znaleźć wszystkie takie pliki.

-n, --just-print, --recon, --no-act
    Bez zmian. Nie zmienia pliku sources.list i nie zapisuje pików indeksowych. Jednakże nadal wszystko jest sprawdzane. Odpowiadający element konfiguracji: APT::CDROM::NoAct.

-c, --config-file
    Plik konfiguracyjny. Określa, jakiego pliku konfiguracyjnego należy użyć. Program najpierw przeczyta swój domyślny plik konfiguracyjny, a następnie plik podany jako argument tej opcji. Informacje o składni pliku można znaleźć w apt.conf(5).

-o, --option
    Ustawia opcję konfiguracyjną. Można ustawić dowolną opcję konfiguracyjną. Składnia jest następująca:
    -o Foo::Bar=bar

PLIKI

o   /etc/apt/sources.list localizacja, z której będą pobierane pakiety

o   /var/lib/apt/lists/ składnica informacji o stanie każdej lokalizacji pakietów podanej w sources.list

o   /var/lib/apt/lists/partial/ składnica informacji o stanie w trakcie pobierania

o   /var/lib/apt/cdroms.list lista identyfikatorów i nazw CD-ROM-ów.

ZOBACZ TAKŻE
apt-get(8), sources.list(5), apt.conf(5)

DIAGNOSTYKA

apt-cdrom zwraca zero, gdy zakończyło się pomyślnie, 100 dziesiętnie - w przypadku błędu.

BŁĘDY

Zobacz http://bugs.debian.org/apt. Aby złożyć raport o błędzie w APT, przeczytaj /usr/share/doc/debian/bug-reporting.txt lub użyj polecenia bug(1). Jeśli korzystasz z programu apt w systemie opartym na RPM, korzystaj z http://distro.conectiva.com.br/bugzilla/.

AUTOR
apt-get został napisany przez zespół APT <apt@packages.debian.org> a do potrzeb systemów opartych na RPM przystosował go Alfredo K. Kojima z Conectiva S.A. <kojima@conectiva.com.br>.